Bug 1770825 - python3-django-post_office fails to install in Fedora rawhide
Summary: python3-django-post_office fails to install in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-post_office
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-11-11 12:00 UTC by Miro Hrončok
Modified: 2020-05-22 05:30 UTC (History)
2 users (show)

Fixed In Version: python-django-post_office-3.4.0-2.fc31 python-django-post_office-3.4.0-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-22 03:19:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-11 12:00:31 UTC
python3-django-post_office-3.1.0-6.fc32.noarch fails to install in Fedora rawhide:

  nothing provides python3-django-jsonfield needed by python3-django-post_office-3.1.0-6.fc32.noarch
  nothing provides python3.8dist(jsonfield) needed by python3-django-post_office-3.1.0-6.fc32.noarch

Comment 1 Luis Bazan 2019-12-23 20:24:44 UTC
(In reply to Miro Hrončok from comment #0)
> python3-django-post_office-3.1.0-6.fc32.noarch fails to install in Fedora
> rawhide:
> 
>   nothing provides python3-django-jsonfield needed by
> python3-django-post_office-3.1.0-6.fc32.noarch
>   nothing provides python3.8dist(jsonfield) needed by
> python3-django-post_office-3.1.0-6.fc32.noarch

Hi Miro --

Upstream not updated this dependency since 2017 but I see that it worked fine in py.3.8, can you give me the owner of python-django-jsonfield?

Cheers,

Comment 2 Miro Hrončok 2019-12-24 01:16:24 UTC
use the take button - left on https://src.fedoraproject.org/rpms/python-django-jsonfield

Comment 3 Miro Hrončok 2019-12-24 01:17:02 UTC
oh, it's retired, open a releng ticket

Comment 4 Ben Cotton 2020-02-11 17:39:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Luis Bazan 2020-02-28 21:01:04 UTC
(In reply to Miro Hrončok from comment #3)
> oh, it's retired, open a releng ticket

https://pagure.io/releng/issue/9287

Comment 6 Fedora Update System 2020-05-13 14:29:49 UTC
FEDORA-2020-ad606fa7b2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ad606fa7b2

Comment 7 Fedora Update System 2020-05-13 14:29:53 UTC
FEDORA-2020-d9687bbda3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d9687bbda3

Comment 8 Fedora Update System 2020-05-14 04:31:29 UTC
FEDORA-2020-d9687bbda3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d9687bbda3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d9687bbda3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-14 06:07:08 UTC
FEDORA-2020-ad606fa7b2 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ad606fa7b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ad606fa7b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-22 03:19:03 UTC
FEDORA-2020-ad606fa7b2 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-05-22 05:30:25 UTC
FEDORA-2020-d9687bbda3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.